.container {
  width: 100%;
  height: 100%;
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.messagesContainer {
  width: 92.1%;
  background-color: transparent;
  display: flex;
  flex-direction: column;
  overflow-y: scroll;
  flex: 8.3;
  padding: 0 4vw 0 4vw;
  padding-bottom: 1vh;
}
#headerChatScreen {
  flex: 0.8;
  width: 100%;
  display: flex;
  flex-direction: row;
  background-color: rgb(236, 236, 236);
  #headerBackBtn {
    flex: 1.7;
    align-items: center;
    display: flex;
    justify-content: center;
    align-items: center;
    i {
      font-size: 8vw;
      color: rgb(168, 143, 143);
    }
  }
  #headerContentContainer {
    flex: 8.3;
    // max-height: 6vh;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 4vw 0 3vw;
    #toUserContainer {
      padding: 0;
      flex: 9;
      display: flex;
      flex-direction: column;
      justify-content: flex-end;
      p {
        margin: 0;
        font-size: 5vw;
        font-weight: bold;
      }
      #onlineStatus {
        margin: 0;
        font-size: 3.4vw;
        font-weight: normal;
        color: rgb(128, 126, 126);
      }
    //   #statusContainer {
    //     justify-content: flex-start;
    //     align-items: center;
    //     display: flex;
    //     flex-direction: row;
    //     p {
    //       font-weight: normal;
    //       font-size: 4vw;
    //       color: grey;
    //     }
    //  }
    }
    #toUserInfo {
      flex: 1;
      i {
        font-size: 7vw;
        color: rgb(116, 75, 158);
      }
    }
  }
}
#chatInput {
  flex: 0.9;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background-color: rgb(236, 236, 236);
  #messagesInput {
    width: 68%;
    height: 5.5vh;
    font-size: 1em;
    border-radius: 50px;
    padding: 0 4vw 0 4vw;
    margin: 0 14px 0 4px;
    border: none;
    background-color: rgb(255, 255, 255);
    &:focus {
      border: none;
      outline-style: none;
    }
  }
  #sendMessagesBtn {
    width: 45px;
    height: 45px;
    border-radius: 100px;
    background-color: rgb(111, 70, 149);
    outline-style: none;
    margin: 0 5px 0 8px;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    i {
      font-size: 1.5em;
      color: white;
    }
  }
}
.userMessages {
  text-decoration: none;
  list-style-type: none;
  width: fit-content;
  height: fit-content;
  margin: 0.5vh 0 0.5vh 0;
  padding: 0.9vh 3.5vw 1.1vh 3.5vw;
  text-align: center;
  color: white;
  font-size: 1.1em;
  background-color:rgb(116, 75, 158);
  align-self: flex-end;
  border-radius: 30px;
}
.messages {
  text-decoration: none;
  list-style-type: none;
  width: fit-content;
  height: fit-content;
  margin: 0.5vh 0 0.5vh 0;
  padding: 0.9vh 3.5vw 1.1vh 3.5vw;
  background-color: rgb(226, 226, 226);
  align-self: flex-start;
  border-radius: 30px;
}
